ros-catkin-pkg (1.1.0-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.1.0
  * Update patches.
    Merged: 0003-Fix-AttributeError-with-docutils-0.18.patch
    Obsolete: 0004-Replace-pkg_resources.parse_version-by-packaging.ver.patch
    Merged: 0005-Fix-Python-SyntaxWarning-caused-by-regex-string.patch
    New: 0003-Drop-setuptools-from-install-requirements.patch

 -- Timo Röhling <roehling@debian.org>  Mon, 22 Sep 2025 18:05:36 +0200

ros-catkin-pkg (1.0.0-3) unstable; urgency=medium

  * Stop using the deprecated pkg_resources module (Closes: #1083752)
  * Fix Python SyntaxWarning caused by regex string (Closes: #1087063)
  * Bump Standards-Version to 4.7.2
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Wed, 20 Aug 2025 18:37:39 +0200

ros-catkin-pkg (1.0.0-2) unstable; urgency=medium

  * Readd AttributeError patch.
    Thanks to Johannes Rothe (Closes: #1053492)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Oct 2023 09:32:26 +0100

ros-catkin-pkg (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Update patches
    - Drop patch for GitHub issue #351 (merged upstream)

 -- Timo Röhling <roehling@debian.org>  Sat, 16 Sep 2023 20:40:57 +0200

ros-catkin-pkg (0.5.2-5) unstable; urgency=medium

  [ Johannes Rothe ]
  * Patch for github issue #351

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Feb 2023 09:25:10 +0100

ros-catkin-pkg (0.5.2-4) unstable; urgency=medium

  * Enable autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Dec 2022 08:18:55 +0100

ros-catkin-pkg (0.5.2-3) unstable; urgency=medium

  * Limit search depth in /usr/share

 -- Timo Röhling <roehling@debian.org>  Sun, 02 Oct 2022 18:40:33 +0200

ros-catkin-pkg (0.5.2-2) unstable; urgency=medium

  * Ignore flake8 linting errors (Closes: #1020109)

 -- Timo Röhling <roehling@debian.org>  Sun, 18 Sep 2022 10:59:35 +0200

ros-catkin-pkg (0.5.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 0.5.2

 -- Timo Röhling <roehling@debian.org>  Sun, 29 May 2022 01:35:58 +0200

ros-catkin-pkg (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Bump Standards-Version to 4.6.1
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Fri, 27 May 2022 10:30:06 +0200

ros-catkin-pkg (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Drop upstreamed patch
  * Update dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 11 May 2022 19:24:57 +0200

ros-catkin-pkg (0.4.24-2) unstable; urgency=medium

  * Add patch for new setuptools

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Dec 2021 11:17:36 +0100

ros-catkin-pkg (0.4.24-1) unstable; urgency=medium

  * Drop gitlab-ci
  * Drop old Breaks/Replaces
  * New upstream version 0.4.24
  * Bump policy versions (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 01 Nov 2021 10:26:22 +0100

ros-catkin-pkg (0.4.23-1) unstable; urgency=medium

  * New upstream version 0.4.23

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 11 Oct 2020 13:17:45 +0200

ros-catkin-pkg (0.4.22-1) unstable; urgency=medium

  * New upstream version 0.4.22
  * Remove Thomas from Uploaders, thanks for working on this

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jun 2020 08:01:14 +0200

ros-catkin-pkg (0.4.20-1) unstable; urgency=medium

  * New upstream version 0.4.20
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 07:36:12 +0200

ros-catkin-pkg (0.4.16-1) unstable; urgency=medium

  * New upstream version 0.4.16
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jan 2020 21:40:18 +0100

ros-catkin-pkg (0.4.15-1) unstable; urgency=medium

  * New upstream version 0.4.15

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 14 Dec 2019 10:16:02 +0100

ros-catkin-pkg (0.4.14-2) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938372)
  * Add d/clean
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 16:17:13 +0200

ros-catkin-pkg (0.4.14-1) unstable; urgency=medium

  * New upstream version 0.4.14
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Oct 2019 23:42:45 +0200

ros-catkin-pkg (0.4.13-1) unstable; urgency=medium

  * New upstream version 0.4.13
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Jul 2019 17:19:29 +0200

ros-catkin-pkg (0.4.10-1) unstable; urgency=medium

  * New upstream version 0.4.10
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Jan 2019 11:34:20 +0100

ros-catkin-pkg (0.4.9-1) unstable; urgency=medium

  * New upstream version 0.4.9
  * Rebase patch
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Oct 2018 19:47:12 +0200

ros-catkin-pkg (0.4.8-1) unstable; urgency=medium

  * New upstream version 0.4.8
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Aug 2018 07:56:28 +0200

ros-catkin-pkg (0.4.7-1) unstable; urgency=medium

  * New upstream version 0.4.7

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 29 Jul 2018 22:01:40 +0200

ros-catkin-pkg (0.4.6-2) unstable; urgency=medium

  * Add missing dependency
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 17 Jul 2018 13:48:48 +0200

ros-catkin-pkg (0.4.6-1) unstable; urgency=medium

  * New upstream version 0.4.6
  * Remove shebang patch (done automatically)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Jul 2018 21:44:36 +0200

ros-catkin-pkg (0.4.5-1) unstable; urgency=medium

  * New upstream version 0.4.5

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Jul 2018 20:34:15 +0200

ros-catkin-pkg (0.4.3-2) unstable; urgency=medium

  * Add breaks due to move of /usr/bin/catkin_package_version (Closes: #900637)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 06 Jun 2018 13:59:45 +0200

ros-catkin-pkg (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 01 Jun 2018 08:19:59 +0200

ros-catkin-pkg (0.4.2-3) unstable; urgency=medium

  * Add missing build dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 17:30:05 +0200

ros-catkin-pkg (0.4.2-2) unstable; urgency=medium

  * Fix lintian warnings

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 12:04:31 +0200

ros-catkin-pkg (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * Update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 09:48:57 +0200

ros-catkin-pkg (0.4.1-1) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * http -> https
  * Add R³
  * New upstream version 0.4.1
  * Update copyright
  * Update policy and debhelper versions
  * Add new build dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 31 Mar 2018 22:20:01 +0200

ros-catkin-pkg (0.3.9-1) unstable; urgency=medium

  * New upstream version 0.3.9

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 03 Nov 2017 09:28:32 +0100

ros-catkin-pkg (0.3.8-1) unstable; urgency=medium

  * New upstream version 0.3.8

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Oct 2017 08:09:14 +0200

ros-catkin-pkg (0.3.7-1) unstable; urgency=medium

  * New upstream version 0.3.7
  * Bump standards version (no changes).
  * Activate test suite

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 07 Oct 2017 12:59:15 +0200

ros-catkin-pkg (0.3.6-1) unstable; urgency=medium

  * Fix typo in description
  * Fix python3 dependencies
  * New upstream version 0.3.6

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Sep 2017 16:36:40 +0200

ros-catkin-pkg (0.3.5-3) unstable; urgency=medium

  * Enable python3- package

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 03 Jul 2017 23:45:24 +0200

ros-catkin-pkg (0.3.5-2) unstable; urgency=medium

  * Convert package to pybuild
  * Disable python3- package for now

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 30 Jun 2017 07:50:49 +0200

ros-catkin-pkg (0.3.5-1) unstable; urgency=medium

  * New upstream version 0.3.5
  * Rebase patch
  * Bump standards and dephelper
  * Update watch file

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Jun 2017 06:22:59 +0200

ros-catkin-pkg (0.2.10-5) unstable; urgency=medium

  * Add patch for catkin_create_pkg

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 28 Jan 2017 17:13:02 +0100

ros-catkin-pkg (0.2.10-4) unstable; urgency=medium

  * Update Vcs URLs
  * Update my email address
  * Set priority to optional to make deb check happy

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 26 Dec 2016 18:08:49 +0100

ros-catkin-pkg (0.2.10-3) unstable; urgency=medium

  * Add build dependency
  * Bumped Standards-Version to 3.9.8, no changes needed.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 26 Jul 2016 10:07:08 +0200

ros-catkin-pkg (0.2.10-2) unstable; urgency=medium

  * Fix my mail address.
  * Get rid of lintian nmu warnings.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Thu, 07 Jan 2016 10:24:26 +0100

ros-catkin-pkg (0.2.10-1) unstable; urgency=medium

  * Initial release. (Closes: #729057)

 -- Wookey <wookey@debian.org>  Fri, 06 Nov 2015 15:39:22 +0000
